<?php


/**
 * @file
 * Drush commands for import files.
 */

/**
 * Implementation of hook_drush_command().
 * Sample: drush importer-import
 */
function importer_drush_command()
{
  $items['importer-import'] = array(
    'callback' => 'importer_drush_import',
    'description' => 'Import 1C products.'
  );
  return $items;
}

/**
 * Implementation of hook_drush_help().
 */
function importer_drush_help($section)
{
  switch ($section) {
    case 'drush:importer-import':
      return dt("Import 1C files using default settings.");
  }
}

/**
 * Import 1C files.
 */
function importer_drush_import()
{
  $settings = variable_get('importer_settings', '');
  if ($settings) {
    importer_product_batch_set($settings, true);
  }
}
